condvar.h File Reference
`#include <gwenhywfar/mutex.h>`

Go to the source code of this file.

## Macros

#define | GWEN_COND_VAR_FLAGS_MULTITHREADS 0x0001

## Typedefs

typedef struct GWEN_COND_VAR | GWEN_COND_VAR

## Functions

GWENHYWFAR_API void | GWEN_ConditionalVar_free (GWEN_COND_VAR *cv)
GWENHYWFAR_API GWEN_COND_VAR * | GWEN_ConditionalVar_new (uint32_t flags)
GWENHYWFAR_API void | GWEN_ConditionalVar_Signal (GWEN_COND_VAR *cv)
GWENHYWFAR_API void | GWEN_ConditionalVar_Wait (GWEN_COND_VAR *cv, GWEN_MUTEX *mtx)

## Macro Definition Documentation

## GWEN_COND_VAR_FLAGS_MULTITHREADS

#define GWEN_COND_VAR_FLAGS_MULTITHREADS 0x0001

Definition at line 15 of file condvar.h.

## Typedef Documentation

## GWEN_COND_VAR

typedef struct GWEN_COND_VAR GWEN_COND_VAR

Definition at line 18 of file condvar.h.

## Function Documentation

## GWEN_ConditionalVar_free()

GWENHYWFAR_API void GWEN_ConditionalVar_free | ( | GWEN_COND_VAR * | cv | ) |

References GWENHYWFAR_API.

## GWEN_ConditionalVar_new()

GWENHYWFAR_API GWEN_COND_VAR * GWEN_ConditionalVar_new | ( | uint32_t | flags | ) |

References GWENHYWFAR_API.

## GWEN_ConditionalVar_Signal()

GWENHYWFAR_API void GWEN_ConditionalVar_Signal | ( | GWEN_COND_VAR * | cv | ) |

References GWENHYWFAR_API.

## GWEN_ConditionalVar_Wait()

GWENHYWFAR_API void GWEN_ConditionalVar_Wait | ( | GWEN_COND_VAR * | cv,
|  | GWEN_MUTEX * | mtx )

References GWENHYWFAR_API.